Publish

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Once the file is fully enriched and ready it can be published. Depending on the profile permissions of the user, the asset will go directly to the asset bank (upload assets) or to the waiting room (upload assets with mandatory approval)

post
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/publish

Path Parameters

assetIdstringrequired

Body

application/json

Optional publish options. If omitted, the asset is published with default settings (forcePublish = false).

PublishAssetInput

forcePublishboolean

When true, forces publication of the asset even if non-blocking validation warnings are present. Defaults to false.

Default:false

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
post/api/1/asset/assets/{assetId}/publish

Body

{}
 
application/json

Asset enrichment

Add or update metadata, metaproperties, tags, autotags, embargoes, advanced rights, and relations on an asset before (or after) publishing.

Edit asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Edit the core properties of an asset. Each property can individually be updated, without needing to send the rest.

patch
https://{your-bynder-domain}/api/1/asset/assets/{assetId}

Path Parameters

assetIdstringrequired

Body

application/json

EditAssetInput

copyrightstring
descriptionstring
namestring
timeStampPublishedstring

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
patch/api/1/asset/assets/{assetId}

Body

{}
 
application/json

Update advanced right

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Update the value of the asset advanced rights (downloadable, or isPublic). These properties have to be carefully considered when changing, with their potential security implications. Either property can be updated individually.

patch
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/advanced-rights

Path Parameters

assetIdstringrequired

Body

application/json

AdvanceRightsInput

isDownloadableboolean
isPublicboolean

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
patch/api/1/asset/assets/{assetId}/advanced-rights

Body

{}
 
application/json

Set autotags

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Adjust the autotag values that are set on an asset. The input list can only set values that are already present on the asset to reduce the list of autotags, not to add additional ones.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/autotags

Path Parameters

assetIdstringrequired

Body

application/json

SetAssetVersionAutoTagsInput

autoTagsarray[string]

Response

application/json

SetAssetVersionAutoTagsReply

autoTagsarray[string]
put/api/1/asset/assets/{assetId}/autotags

Body

{}
 
application/json